# Uses of Class
javassist.bytecode.analysis.ControlFlow.Block

Packages that use ControlFlow.Block
Package
Description
javassist.bytecode.analysis
Bytecode Analysis API.

## Uses of ControlFlow.Block in javassist.bytecode.analysis

Methods in javassist.bytecode.analysis that return ControlFlow.Block
Modifier and Type
Method
Description
`ControlFlow.Block[]`
ControlFlow.`basicBlocks()`
Returns all the basic blocks in the method body.
`ControlFlow.Block`
ControlFlow.Catcher.`block()`
Returns the first block of the catch clause.
`ControlFlow.Block`
ControlFlow.Node.`block()`
Returns the basic block indicated by this node.
`ControlFlow.Block`
ControlFlow.Block.`exit(int n)`
Returns the n-th block that may be executed after this block.
`ControlFlow.Block`
ControlFlow.Block.`incoming(int n)`
Returns the block that the control may jump into this block from.